Name: gcombust
Version: 0.1.55
Release: alt3

Summary: Gcombust is a burning CD frontend
License: GPL
Group: Archiving/Cd burning

Url: http://www.abo.fi/~jmunsin/gcombust
Source: %url/gcombust-%version.tar.gz
Source1: gcombust-48.xpm
Source2: gcombust-32.xpm
Source3: gcombust-16.xpm
Source4: gcombust-%version-uk.po
Source5: gcombust.desktop

Patch1: gcombust-0.1.55-defaults.patch
Patch2: gcombust-0.1.55-gcc4.patch

# Automatically added by buildreq on Fri Apr 11 2008
BuildRequires: gtk+-devel

Requires: mkisofs cdrecord

%description
gcombust is a gtk+ frontend for mkisofs, mkhybrid, cdrecord and
cdlabelgen. It has primitive support for controlling the directory
(root) structure and size of image without copying files/symlinking or
writing 10 lines of arguments and can maximize disk by hinting which
directories/files to use.

%prep
%setup
%patch1 -p1
%patch2 -p1

# add ukrainian interface
cp %_sourcedir/%name-%version-uk.po po/uk.po
%__subst 's/ ru / uk ru /g' configure

%build
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install

install -pD -m644 %_sourcedir/gcombust.desktop %buildroot%_desktopdir

%find_lang %name

install -pD -m644 %_sourcedir/gcombust-48.xpm %buildroot%_liconsdir/gcombust.xpm
install -pD -m644 %_sourcedir/gcombust-32.xpm %buildroot%_niconsdir/gcombust.xpm
install -pD -m644 %_sourcedir/gcombust-16.xpm %buildroot%_miconsdir/gcombust.xpm

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc README README.ms THANKS
%_bindir/gcombust
%_pixmapsdir/gcombust.xpm
%_liconsdir/gcombust.xpm
%_miconsdir/gcombust.xpm
%_niconsdir/gcombust.xpm
%_desktopdir/*

%changelog
* Fri Apr 11 2008 Victor Forsyuk <force@altlinux.org> 0.1.55-alt3
- Added menu updating to installation scripts.
- Desktop file tweaking.

* Mon May 15 2006 Victor Forsyuk <force@altlinux.ru> 0.1.55-alt2
- Fix FTBFS with gcc4 (patch from Debian).
- Swith from debian-like menu to freedesktop format.

* Fri Feb 10 2006 Victor Forsyuk <force@altlinux.ru> 0.1.55-alt1
- 0.1.55
- Patched to change defaults (650MB disks --> 700MB).
- Add ukrainian localization.

* Thu May 08 2003 Rider <rider@altlinux.ru> 0.1.54-alt1
- new version

* Fri Nov 22 2002 Rider <rider@altlinux.ru> 0.1.53-alt1
- new version

* Fri Oct 11 2002 Rider <rider@altlinux.ru> 0.1.52-alt1
- 0.1.52

* Sun Feb 24 2002 Rider <rider@altlinux.ru> 0.1.49-alt1
- 0.1.49

* Sat Feb 09 2002 Rider <rider@altlinux.ru> 0.1.48-alt1
- 0.1.48

* Fri Jan 04 2002 Rider <rider@altlinux.ru> 0.1.47-alt1
- 0.1.47

* Sat Jan 13 2001 AEN <aen@logic.ru>
- RE  adaptation

* Thu Nov 16 2000 Daouda Lo <daouda@mandrakesoft.com> 0.1.38-1mdk
- new and shiny version (c)

* Fri Nov 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.1.37-1mdk
- new and shiny version, hot from the oven aka 0.1.37.

* Fri Oct 27 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.1.36-1mdk
- new version 0.1.36

* Tue Sep 26 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.1.34-4mdk
- added menu entry and icons
- corrected source url

* Thu Aug 24 2000 Gtz Waschk <waschk@linux-mandrake.com> 0.1.34-3mdk
- uses find_lang for locale files
- cleaned spec a bit

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.1.34-2mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.1.34-1mdk
- rebuild for BM
- macrozfications
- new release

* Tue Jun 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.1.33-1mdk
- Updated version

* Thu Apr 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.1.31-1mdk
- Updated version to 0.1.31-1mdk
- updated group
- updated file section of spec file.

* Tue Feb 22 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- new version 0.1.30

* Tue Nov 30 1999 Lenny Cartier <lenny@mandrakesoft.com>
- v0.1.25

* Fri Aug 06 1999 Stefan Siegel <siegel@informatik.uni-kl.de>
- Added "config" tag for files containing /etc or /config
- Added compression for perl- and localized man-pages

* Fri Jul 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Rebuild without glib-1.3 :-((

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Initialisation spec file for Mandrake distribution.

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- create (more or less) generic spec file...
